plan:components:nonprod:
  stage: plan
  when: manual
  allow_failure: true
  tags:
    - guide-iaac-runners
  script:
    - cd components/nonprod
    - terragrunt plan

apply:components:nonprod:
  stage: apply
  when: manual
  allow_failure: true
  tags:
    - guide-iaac-runners
  script:
    - cd components/nonprod
    - terragrunt apply -auto-approve
  artifacts:
    name: 'guide'
    expire_in: never
    paths:
      - ./kubeconfig_*
      - ./guide_*
      - ./*_README.md

destroy:components:nonprod:
  stage: destroy
  when: manual
  allow_failure: true
  tags:
    - guide-iaac-runners
  script:
    - cd components/nonprod
    - terragrunt destroy -auto-approve
